(in-package 'ic)

(user::maybe-compile-file-load "~/cme/g186/image-utils.lisp")

#|
(user::maybe-compile-file-load "~/cme/radius/model-board-1/build-images.lisp")
|#

(defparameter *model-board-1-path*
	      (string-append (environment-variable "CMEHOME") "/radius/model-board-1/"))

(defun merge-model-board-1-pathname (path)
  (string-append *model-board-1-path* path))

(defun build-model-board-image (raw-path result-image-path xdim ydim tail-factor)
  (let ((histogram
	 (histogram-16bit-raster-image-file (merge-model-board-1-pathname raw-path)
					    xdim ydim (ash 1 12))))
    (time (load-raster-image-file
	   raw-path xdim ydim
	   :convert-table (histogram-list-pixel-mapping-table (list histogram)
							      :tail-factor tail-factor
							      :result-maxval 256)
	   :into-image-path result-image-path
	   :dy -1 :transpose nil
	   ))))


#|
;;; *********************  Image J1  *********************
(defparameter *mb1-image-info* '(("j1"  1306 1039)
				 ("j2" 1304 1037)
				 ("j3" 1312 1041)
				 ("j4" 1304 1041)
				 ("j5" 1316 1039)
				 ("j6" 1308 1038)
				 ("j7" 1313 1043)
				 ("j8" 1303 1032)))


(let ((old-path (pwd)))
  (cd (ic::ev-pathname-translate "$CMEHOME/radius/model-board-1/"))
  (loop for (name xdim ydim) in *mb1-image-info*
	for raw-path = (format nil "~a.raw" name)
	for result-image-path = (format nil "~a.g0" name)
	for symbol = (intern (format nil "*~a*" (string-upcase name)))
	for image = (build-model-board-image raw-path result-image-path xdim ydim 0.0)
	do (setf (symbol-value symbol) image)
	   (save-image image result-image-path)))


|#	

